PONYSAY(6)

NAME
ponysay - Cowsay reimplementation för ponnyer

ÖVERSIKT
ponysay [alternativ] [--] [meddelande]
ponythink [alternativ] [--] [meddelande]

BESKRIVNING

ponysay visar en bild av en ponny som säger en text som ges av användaren i en terminal. Om meddelande inte har angivits, kommer indata från ’standard input’ användas. Meddelandet kommer automatiskt radbryas vid runt 60 kolonner, och ponnyen med meddelandet kommer att skrivas ut till ’standard output’.

Om inga argument används kommer programmet bara acceptera indata från ’standard input’ om det kommer från att annat program, en fil eller ett här-dokument eller här-sträng (se man bash(1) för detaljer om här-dokument och här-strängar.)

ponythink är till ponysay som cowthink är till cowsay.

För en omfattande dokumentation kör `info ponysay`.

ALTERNATIV
En sammanfattning av alternative är listad nedan.

-h, --help
    Visa sammanfattning av alternativ.

-v, --version
    Visa programmets version.

-f, --file, --pony namn
    Välj en ponny (antingen ett filnamn eller ponnynamn); du kan använda detta val flera gånger för att få en av dem slumpmässigt utvalt.

+f, ++file, ++pony namn
    Välj en ponny som inte är med i My Little Pony: Vänskap är magisk [sic!] (antingen ett filnamn eller ponnynamn); du kan använda detta val flera gånger för att få en av dem slumpmässigt utvalt.

-F, --any-file, --anyfile, --anypony --any-pony name
    Detta alternativ är en kombination av -f och +f.

--f, --files, --ponies [namn...]
    Variadisk variant av -f, innebärande att alla argument som följer detta tolkas som värde för detta.

++f, ++files, ++ponies [namn...]
    Variadisk variant av +f, innebärande att alla argument som följer detta tolkas som värde för detta.

--F, --any-files, --anyfiles, --anyponies --any-ponies name
    Detta alternativ är en kombination av --f och ++f.

-q, --quote [namn...]
    Genom att använda detta alternativ kommer en ponny att skrivas ut med ett citat från henne själv i My Little Pony: Vänskap är magisk. Ponnyen kommer att väljas slumpmässigt om inget värde ges. Om mer än en ponny anges genom -q kommer en av dem väljas ut slumpmässigt.

--q, --quotes [namn...]
    Variadisk variant av -q, innebärande att alla argument som följer detta tolkas som värde för detta.

-b, --bubble, --balloon stil
    Specifiera en talrutestil som ska användas, detta kan antingen vara ett filnamn eller ett talrutestilsnamn som listas av ponysay -B.

-W, --wrap kolonn
    Skärmkolonnen till vilket meddelandet kommer att begrännas; talrutans kanters bredd kommer at räknas in. Om värdet inte är ett nummer, men istället börjar med n kommer ingen begränsning användas, och om det börjar med i kommer terminals bredd att användas.

-c, --compress, --compact [ansi-färg]
    Packar ihop meddelande på samma sätt som cowsay kör, det är i princip utan multipla mellanrum och endast styckeseparation.

-l, --list
    Lista ponnyer.

-L, --symlist, --altlist
    Lista ponnyer med alternativa namn inom parantes.

+l, ++list
    Lista icke-MLP:Väm-ponnyer.

+L, ++symlist, ++altlist
    Lista icke-MLP:Väm-ponnyer med alternativa namn inom parantes.

-B, --bubblelist, --balloonlist stil
    Lista alla talrutestiler.

-A, --all
    Lista alla ponier, både MLP:Väm-ponnyer och icke-MLP:Väm-ponnyer. Först listas MLP:Väm-ponnyer och sedan icke-MLP:Väm-ponnyer.

+A, ++all, --symall, --altall
    Lista alla ponier med alternativa namn inom parantes, både MLP:Väm-ponnyer och icke-MLP:Väm-ponnyer. Först listas MLP:Väm-ponnyer och sedan icke-MLP:Väm-ponnyer.

-o, --pony-only, --ponyonly
    Rita bara ut ponnyer, ingenting annat, igen talruta och inget meddelande.

-i, --info
    Genom att ligga till detta alternativ kommer metadata för ponnyen skrivas ut istället för ponnyen.

+i, ++info
    Detta fungerar som -i, förutom att utdatat kommer att användas som ponnyns meddelande istället för att bara skriva ut metadatat.

-r, --restriction
    Detta alternativ används för att begränsa, baserat på metadata, vilka ponnyer som kan slumpmässigt väjas ut. Att värde i för detta alternativ är en kombination av ett tag-namn och ett tag-värde på formen NAMN=VÄRDE. (Läs `info ponysay` för mer information.)

-X, --256-colours, --256colours, --x-colours
    Använd xterm’s 256-färgstöd (stöds av de flesta X11 terminalerna), oavsätt din terminals egentliga kompatibiliteter.

-V, --tty-colours, --ttycolours, --vt-colours
    Använd Linux VT:s kompatibiliteter utan att utnyttja KMS oavsätt din terminals egentliga kompatibiliteter.

-K, --kms-colours, --kmscolours
    Använd Linux VT:s kompatibiliteter och utnyttja KMS oavsätt din terminals egentliga kompatibiliteter. (Fungerar inte på alla KMS videokort.)

+c, --colour [ansi-färg]
    Färglägg talrutan, inklusive länken och meddelandet. För mer färgläggningsegenskaper, se info-manualen. Argumentet, ansi-färg, ska vara en ANSI-färgsekvens utan inledande CSI och utan avslutande m, till exempel kommer 1;31 göra det röd och tjockt (eller ljust beroende på terminalen.)

--colour-bubble, --colour-balloon [ansi-färg]
    Precis som --colour, förutom att endast talrutan, och ingendera av meddelandet och länken, kkommer att färgläggas.

--colour-link [ansi-färg]
    Precis som --colour, förutom att endast länken kommer att färgläggas.

--colour-msg, --colour-message [ansi-färg]
    Precis som --colour, förutom att endast meddelandet kommer att färgläggas.

--colour-pony [ansi-färg]
    Precis som --colour, förutmo att ponnien kommer ett färgläggas. Detta kommer bara ge effekt om ponnyn inte är en vanlig ponny och saknas sin egna färgläggning.

--colour-wrap, --colour-hyphen [ansi-färg]
    Precis som --colour, förutom att bindestrecken som läggs in vid breddbegränsning kommer att färgläggas. För samma färg som texten, använd 0, standardfärgen är 31 (rött).

SYSTEMVARIABLER

PONYSAY_BOTTOM
    Under TTY (Linux VT), om utskriften är större än skärmens höjd, endast början kommer att skrivas ut, och två tomma rader lämnas. Om du vill ha slutet istället för höjden utskriven, exportera PONYSAY_BOTTOM med värdet yes, y eller 1.

PONYSAY_SHELL_LINES
    Under TTY (Linux VT), om utskrifteb är större än skärmens höjd, två rader kommer att lämnas tommer. Om du vill ha fler, eller färre, tomma rader kan du exportera PONYSAY_SHELL_LINES med värde av hur många tomma rader du vill ha.

PONYSAY_FULL_WIDTH
    Om du exporterar PONYSAY_FULL_WIDTH med värdet yes, y eller 1 kommer utskriften inte att beskäras på bredde för att få plats i terminalen.

PONYSAY_TRUNCATE_HEIGHT
    Exportera PONYSAY_TRUNCATE_HEIGHT med värdet yes, y eller 1 om du vill beskära utskriften på höjden även om du inte för ponysay under TTY (Linux VT).

PONYSAY_UCS_ME
    Exportera PONYSAY_UCS_ME med värdet yes, y eller 1, om du vill ha simulerade symboliska länkar till ponnyer med Universal Character Set in deras namn.

PONYSAY_KMS_PALETTE, PONYSAY_KMS_PALETTE_CMD
    PONYSAY_KMS_PALETTE eller PONYSAY_KMS_PALETTE_CMD används för att talla om för ponysay how din TTY-färgpalett ser ut, detta egenskap låter dig få bästa möjliga bild under TTY om du har Kernel Mode Setting-stöd (KMS).

PONYSAY_TYPO_LIMIT
    ponysay kan autokorregera felstavade namn på ponnyer och talrutestilar. Utan hänsyn till transpositionering kommer det viktade avståndet användas för att avgöra vilket namn som ska väljas, om avståndet är större än 5 kommer ingen korrektion att ske. Detta begränsing kan andras genom exportera en ny begränsning till PONYSAY_TYPO_LIMIT. Om gränsen sätts till noll stängs autokorrektion av.

PONYSAY_WRAP_HYPHEN
    Du kan exportera till PONYSAY_WRAP_HYPHEN vilket tecken du vill använd stället för binnesträck när ponysay begrännsar bredden på ett meddelande.

PONYSAY_WRAP_LIMIT
    Definierar hur långt ett ord måste vara för att avstavas. Avstavning kan ske även om ordet inte är tillräckligt långt om det krävs.

PONYSAY_WRAP_EXCEED
    Definierar hur mycket av ett som måste gå utan för gränsen för att avstavs. Detta används tillsammans med PONYSAY_WRAP_LIMIT.

FEL
Fel kan rapporteras på <https://github.com/erkin/ponysay/issues>.

SE OCKSÅ
cowsay(1), fortune(6), ponysay-tool(6), `info ponysay`.

FÖRFATTARE
ponysay är skriven av Erkin Batu Altunbaş <erkinbatu@gmail.com> med bidrag från Mattias Andrée, Elis Axelsson, Sven-Hendrik Haase, Pablo Lezaeta, Jan Alexander Steffens et al.

Denna ’manpage’ skrevs först av Louis Taylor <kragniz@gmail.com> för Debin GNU/Linux-projektet (och får används av andra), och har redigeras av ponysay's skapare för inkludering i ponysay.

Detta program är under licensen GNU GPLv3+.